Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.workflow
Class JobFactory

    java.lang.Object
      lbg.peer.workflow.JobFactory

    public class JobFactory

extends java.lang.Object

Note: methods are not static because a JobFactory may be instanciated multiple times within the same VM, e.g. inside the LBG Simulator.

Author:
  Cyril Briquet

Constructor Summary
`JobFactory(java.lang.String owner_peer_id, boolean enable_ttg)` Creates a new JobFactory.

Method Summary
`Job` | `createLocalJob(UserHandle uh, JobDescriptor jd)`
`Job` | `createSupplyingJob(Task t)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobFactory

    public JobFactory(java.lang.String owner_peer_id,
                      boolean enable_ttg)
               throws GridException

  Creates a new JobFactory.

  Parameters:
    `owner_peer_id` - owner Peer id
    `enable_ttg` - true to enable TemporalTasksGrouping
  Throws:
    `GridException` - if a parameter is illegal

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### createLocalJob

    public Job createLocalJob(UserHandle uh,
                              JobDescriptor jd)
                       throws GridException

  Throws:
    `GridException`

### createSupplyingJob

    public Job createSupplyingJob(Task t)
                           throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.